package net.knarcraft.blacksmithvisuals.container;

import net.knarcraft.blacksmithvisuals.property.NPCPosition;
import org.bukkit.Location;
import org.jetbrains.annotations.NotNull;

import java.util.Map;

/**
 * Data for an NPC
 *
 * @param positions <p>A map storing all NPC positions</p>
 */
public record NPCData(@NotNull Map<NPCPosition, Location> positions) {

}
